3
votes
1answer
55 views

Insert some simple path in LaTeX document

I'd like to insert some simple linux path inline with the text in my LaTeX document by using basic elements like: \texttt{/usr/share/myspell/dicts/hyph_pl_PL.dic} ..but it failed and this error ...
0
votes
0answers
35 views

Ubuntu 13, TeXLIve and home made package [duplicate]

I would like to install an homemade package ? With MacTeX, I put my package in texmf-local and then simply use texhash. Under Ubuntu, I have to use the plain path sudo ...
2
votes
1answer
51 views

fontspec cannot find fonts on Ubuntu

I recently migrated to Ubuntu from Mac OS. I installed TexLive and it works. However, fontspec doesn't work, no matter what fonts I use. This goes for fonts native to Ubuntu and fonts that I have ...
0
votes
0answers
129 views

Ubuntu 14.04 *.sty and *.cls files are missing?

I just installed Ubuntu Gnome 14.04 on my laptop: sudo apt-get install texlive texlive-lang-german texlive-lang-english texlive-doc-en texlive-doc-de texlive-latex-extra latexmk Everything seemed to ...
3
votes
0answers
90 views

Create a local texmf tree in Ubuntu

I am running Ubuntu 12.04 which came with TeX Live 2009 pre-installed. I want to create a local texmf tree at the location ~/Dropbox/mylocaltexmf/, so that I can place my own .sty files in my Dropbox ...
2
votes
0answers
60 views

Create own central templates

I worked with LaTeX for a short while and now I'd like to create my own templates for e.g. handouts. Here is a example for the beginning of my handout template: ...
3
votes
1answer
39 views

Kile can't locate texmf-dist packages

I was using the default Ubuntu texlive package (plus extras) but it has really outdated versions, and I had to manually download newer versions, texhash, search dependencies, etc. I'm now using ...
3
votes
1answer
396 views

Latex can't find .sty files altough packages are installed — TexLive, Ubuntu 12.04

I just installed TexLive on a i386 Ubuntu 12.04 LTS machine. Now when I try to compile a TeX file I get following error message: ! LaTeX Error: File `caption.sty' not found. kpsewhich caption.sty ...
4
votes
1answer
112 views

Migrating from Ubuntu repository TeX to TeX Live?

I installed TeX Live 2013 from CTAN by following the instructions here: How to install "vanilla" TeXLive on Debian or Ubuntu? And it's all working very nicely. However, what I didn't do ...
3
votes
0answers
80 views

Manual TexLive install---Texworks collection doesn't show up. Should I just use Ubuntu/Debian Texworks package?

I just installed LaTeX on my system, which is a Linux Mint 16 (Cinnamon) 32-bit installation on a 64-bit Lenovo e420. I originally had used apt-get to install the base Ubuntu package along with ...
1
vote
0answers
95 views

What does Tex Live have to do with ruby?

I installed TeXlive for Ubuntu and it changed my ruby installation so that my ruby programs using statsample no longer run. If I repair my ruby installation, what is a good way to install TeXlive ...
1
vote
1answer
152 views

BibTeX permission denied

I recently upgraded from Ubuntu 12.04 to Ubuntu 13.10 and had to reinstall TexLive 2013 and TeXWorks. Ordinary typesetting with pdfLaTeX works fine. However, when I try to run BibTeX, the only console ...
2
votes
2answers
303 views

`media9.sty' not found

I am using Texmaker and Gummi on Ubuntu 12.04. I want to embed videos in my PDFs and have downloaded media9.tds.zip, l3kernel.tds.zip, l3packages.ts.zip and l3experimental.tds.zip. I unzipped and ...
2
votes
2answers
280 views

Jerus10 font metric (TFM) file not found after installing TexLive 2013

I'll start by saying I'm new to ubuntu and texlive. I just installed texlive2013 and am trying to create a pdf on ubuntu 12.04 TLS. I'm using both English and Hebrew, but neither seam to work: when ...
1
vote
1answer
108 views

Biolinum missing greek letters

I have texlive installed (via the repositories) on ubuntu 13.10. The version number it lists is 2013.20130722, so I figure this is texlive 2013? I have a Biolinum font file with path ...
5
votes
2answers
276 views

I can't get minted package to work under Ubuntu (pygments error)

I'm currently using ubuntu13.10, TeXlive and Texmaker editor, and I found out that minted package is the best way to get source code highlighting on LaTeX. So I installed python-pygments via terminal ...
1
vote
0answers
134 views

Can't install LaTeX package 'changes' on Ubuntu 12.04 [closed]

I am a latex user on ubuntu, but not an expert of unix systems. I manage myself for easy things through the terminal. I very frequently refer to forums like stackoverflow to fix the problems that I ...
6
votes
3answers
570 views

Bibtex not running after upgrading Ubuntu from 13.04 to 13.10

I'm having problems with my latex installation on Ubuntu 13.10. Have been using it successfully for a while on Ubuntu 13.04, after I updated bibtex doesn't seem to work. The error I get is: This is ...
4
votes
1answer
152 views

Error 32512 (driver return code)

I'm using XeTeX, Version 3.1415926-2.4-0.9998 I'm creating tex file using PHP and storing it on linux server. [ex: abc.tex] Then creating .sh file with command to execute *.tex file using xelatex ...
5
votes
1answer
1k views

After upgrading ubuntu 13.04 to 13.10, latex compiling errors

After upgrading the ubuntu 13.04 to 13.10, when I try the following command in terminal $ latex *.tex or $ pdflatex *.tex . I give the following error with MWE: This is pdfTeX, Version ...
1
vote
0answers
227 views

File 'environ.sty' not found on Ubuntu 13.04 with texlive 2013

I found a similar answer but regarding a different distro and the solution did not work for me, so: on an Ubuntu 13.04 I made yesterday (to say that it's clean & brand new) a complete network ...
4
votes
2answers
255 views

Problem installing culmus-latex on ubuntu 12.04

I'm trying to get Hebrew to work for my LaTeX/LyX on Ubuntu 12.04. I have TeX Live 2012 installed and the Hebrew works for that. Then I followed the instructions for installing LyX + Hebrew support, ...
12
votes
3answers
3k views

tlmgr cannot setup TLPDB

I'm trying to update my installation of texlive 2013 under Ubuntu 13.10. However, I followed the instruction on this answer, but I get an error (running on Debian, switching to user mode!) ...
1
vote
1answer
275 views

How to update glossaries package on Ubuntu 12.10?

My texlive version is $ tex -version TeX 3.1415926 (TeX Live 2012/Debian) kpathsea version 6.1.0 Copyright 2012 D.E. Knuth. There is NO warranty. Redistribution of this software is covered by the ...
2
votes
2answers
3k views

Installing TeX Live 2013 on Linux

I have installed TeX Live 2013 full install on a Linux Mint installation (so it is Ubuntu, basically). Now, I cannot use beamer or most packages, because all my editors like Gummi seek the 2012 path. ...
5
votes
1answer
482 views

Can't manually install opensans on Ubuntu 12.04.3 LTS

I'm trying to use the font opensans for a document. This works great on Ubuntu 13.04, but it doesn't work on Ubuntu 12.04.3. The reason for this was pretty easy to figure out, because Ubuntu 13.04 ...
6
votes
1answer
1k views

LyX and TeX Live Ubuntu 12.04 LTS

When I had installed LyX on Windows 7, it had installed MiKTeX along with it. On Ubuntu 12.04 LTS, I had been using TeX Live and TexStudio together. However, I would like to use LyX as I am more used ...
2
votes
1answer
83 views

pstricks output garbled on Ubuntu 13.04

I recently installed Ubuntu 13.04 and tried to recompile a pstricks document I had previously created on an older version of Ubuntu. However all the images came out wrong and consist of all the text ...
0
votes
0answers
25 views

How to install unicode-math on Ubuntu 12.04 (Precise Pangolin)? [duplicate]

I want to install unicode-math to use with XeLaTeX. I use ubuntu 12.04 LTS (because of some incompatibilities of later kernel versions with my HW). Is there a way to install unicode-math package? I ...
7
votes
2answers
3k views

Determine full list of installed LaTeX packages in Ubuntu

Newbie here, just inherited a large (250+ page) doc written in LaTeX after the previous author left the company. Is there an easy way to determine all the LaTeX packages installed on my system? I'm ...
2
votes
1answer
473 views

TeX Live, Ubuntu - Update expl3 to l3kernel problem

I'm a noob with LaTeX. Trying to get my import package to work, I came across a dependency on the ExplFileVersion macro. Googling this issue, I realized I need to update my l3kernel package. The ...
2
votes
1answer
783 views

TeXLive 2013 manager: Trouble with updating TLMGR (Ubuntu 13.04)

Prior to today, TeXLive 2013 updated fine through the manager on Ubuntu 13.04, but now it seems to be stuck in a loop. I have done this three times now. So I have followed this processes by ...
5
votes
1answer
564 views

TeXLive 2013 (on Linux/Ubuntu) - tcfmgr & fmtutil not found

When I try to update packages via tlmgr (or run fmtutil-sys --all directly), TeXLIve reports: /usr/local/texlive/2013/bin/i386-linux/fmtutil: 395: /usr/local/texlive/2013/bin/i386-linux/fmtutil: ...
2
votes
1answer
1k views

media9 installation in Ubuntu 12.04

I'm running Ubuntu 12.04 LTS and Kile for LaTeX document editing. I would like to use the media9 package to embed videos and 3D objects (via .u3d files) in a PDF document. I'm totally new in the LaTeX ...
7
votes
1answer
940 views

Installing TeXLive 2013 side by side on an existing TeXLive 2012

tlmgr stopped working complaining that it is version 2012 while the repository is 2013. Fine, I need to install TL 2013. So I try and do just that, by following the first link at ...
3
votes
0answers
518 views

Weird permissions problem with TeX Live 2013, Ubuntu 13.04, LuaTeX and problem fonts

Update at bottom I recently installed vanilla TeX Live 2013 on my Ubuntu 13.04 system. Most everything works. It's just when I run into certain problematic fonts using LuaLaTeX that things go awry. ...
1
vote
1answer
165 views

lyx and texlive 2012 in Ubuntu 11.10 [closed]

I am using Ubuntu 11.10 and installed texlive 2012. I was using TEXMAKER and it was nice to use. Meanwhile I want to try to use Lyx. I installed version 2.00 of Lyx. When I compile simple document in ...
5
votes
1answer
426 views

Add path in TeX Live 2012 on Ubuntu

I write a package named umtools.sty, since Ubuntu One can only sync the folder which is in ~/, so I put *.sty in ~/tlpkg/. Now, how can I use it like \usepackage{umtools} instead of ...
3
votes
1answer
961 views

Installing the fourier package to TeXLive 2012/Debian Ubuntu 12.04 LTS

I installed TeXLive from TUG 2 months ago and I just updated the packages. I'm trying to use the fourier package, but the terminal says it's missing. I was told that TeXLive should contain the fourier ...
3
votes
1answer
126 views

Why autoref lets text ignore wrapfigure [closed]

I just ran into a problem concerning autoref in combination with the wrapfigure environment of the wrapfig package. Minimal example: \documentclass{article} \usepackage{wrapfig} ...
5
votes
1answer
91 views

How to open installed docs

Sorry if it sounds too naive, I am quite noob, so please bear with me. I have downloaded texlive-docs using ubuntu repository, but how can I view/use them?
7
votes
2answers
1k views

Installing TeXlive on Ubuntu, revisited

The Debian/Ubuntu packages for TeXlive are usually outdated, sometimes up to several years behind CTAN. Now, I understand that packaging TeX Live takes a lot of work and, if you want to follow ...
9
votes
1answer
2k views

Latex on Linux: Path problem after new install of TeX Live

UPDATE: between the suggestions made in comments, and Andrew Stacey's patient walkthrough/diagnostic, the problem was eventually solved by correcting a faulty environment variable in the bashrc. It's ...
6
votes
4answers
1k views

TeXLive cannot be updated, older version not available and cannot install pretest version

I freshly installed Ubuntu 13.04 and proceeded to install TexLive 2012 which has been frozen for upcoming release of TeXLive 2013 and hence cannot be updated. I wanted to modify and compile a LaTeX ...
3
votes
0answers
314 views

Beamer presentation fails to compile after TeX Live upgrade [closed]

After an upgrade from Ubuntu 12.04 (Precise) to 13.04 (Raring), pdfLaTeX fails to compile a simple presentation using Beamer. Besides Beamer, the only package I am explicitly using is minted, for ...
12
votes
3answers
247 views

telling luaotfload where to look for fonts

The documentation of luaotfload states that on Linux fontconfig is used to find the font locations. However all fonts I install in /usr/share/local/fonts edit: /usr/local/share/fonts(as I don't want ...
2
votes
2answers
467 views

How to install the latest version of microtype (v. 2.5) in Linux (Ubuntu)?

How to install the latest version of microtype (v. 2.5) in Linux (Ubuntu) ? (also, is v. 2.5 still in beta?) Edit I'm using this ppa https://launchpad.net/~texlive-backports/+archive/ppa/ which ...
0
votes
1answer
1k views

compiling pdflatex from the terminal in vim [closed]

A file I can compile in Texmaker won't compile after editing in Vim. I am giving the error hw9problem1xplot can't be found. This is from an includegraphics command. However, the pdf image file is ...
0
votes
1answer
221 views

gnuplot, ubuntu 12.10, kile, texlive2012 [closed]

How can I download and install gnuplot for ubuntu 12.10? I can't find it on the software center or in repositories. Maybe I am not calling it right.
2
votes
1answer
117 views

smartdiagram 0.2 / xparse / Kubuntu

I have a package dependency problem on Kubuntu 12.10. I have installed Texlive2012 from the known ppa. The brandnew "smartdiagram 0.2" package has a dependency for xparse. This package does not exist ...